org.apache.hadoop.hdfs.protocol

## Class AddErasureCodingPolicyResponse

- java.lang.Object
- - org.apache.hadoop.hdfs.protocol.AddErasureCodingPolicyResponse

-     public class AddErasureCodingPolicyResponse
      extends Object

  A response of add an ErasureCoding policy.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddErasureCodingPolicyResponse(org.apache.hadoop.hdfs.protocol.ErasureCodingPolicy policy)`
    `AddErasureCodingPolicyResponse(org.apache.hadoop.hdfs.protocol.ErasureCodingPolicy policy, org.apache.hadoop.HadoopIllegalArgumentException e)`
    `AddErasureCodingPolicyResponse(org.apache.hadoop.hdfs.protocol.ErasureCodingPolicy policy, String errorMsg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getErrorMsg()`
    `org.apache.hadoop.hdfs.protocol.ErasureCodingPolicy` | `getPolicy()`
    `int` | `hashCode()`
    `boolean` | `isSucceed()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AddErasureCodingPolicyResponse

          public AddErasureCodingPolicyResponse(org.apache.hadoop.hdfs.protocol.ErasureCodingPolicy policy)

    - #### AddErasureCodingPolicyResponse

          public AddErasureCodingPolicyResponse(org.apache.hadoop.hdfs.protocol.ErasureCodingPolicy policy,
                                                String errorMsg)

    - #### AddErasureCodingPolicyResponse

          public AddErasureCodingPolicyResponse(org.apache.hadoop.hdfs.protocol.ErasureCodingPolicy policy,
                                                org.apache.hadoop.HadoopIllegalArgumentException e)

  - ### Method Detail

    - #### isSucceed

          public boolean isSucceed()

    - #### getPolicy

          public org.apache.hadoop.hdfs.protocol.ErasureCodingPolicy getPolicy()

    - #### getErrorMsg

          public String getErrorMsg()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.